/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */
/* Context menu ----------------------------------------------------------------------------- */
/* ------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------ */

.context-menu {
  position: fixed;
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 320px;
  background-color: rgba(255, 255, 255, 0.98);
  border-radius: var(--default-border-radius);
  padding: 16px;
  border: 1px solid var(--box-border-light);
  display: flex;
  flex-direction: column;
  transition: transform 50ms ease,scale 50ms ease, opacity 50ms ease;
  align-items: flex-start;
  -webkit-box-shadow: 32px 32px 0px 0px rgba(0, 0, 0, 0.24);
  -moz-box-shadow: 32px 32px 0px 0px rgba(0, 0, 0, 0.24);
  box-shadow: 32px 32px 0px 0px rgba(0, 0, 0, 0.24);
  scale: 0.92;
  gap: 8px;
  z-index: 1000;
  line-height: 8px;
  transform-origin: center center;
  transform: scale(0.92);
  opacity: 0;
  pointer-events: none;
}
.context-menu.ficha{
  max-width: 620px !important;
  padding: 0 !important;
  border: none !important;
  margin: 0 !important;
  background-color: transparent !important;
  box-shadow: none !important;
  transform: rotate(2deg);
}
.context-menu form{
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 8px;
}
.context-menu.is-open {
  transform: scale(1);
  transition: transform 50ms ease,scale 50ms ease, opacity 50ms ease;
  opacity: 1;
  scale: 1;
  pointer-events: auto;
}
.context-menu a{
  width: 100%;
}
.context-menu h6{
  line-height: 30px;
  margin-top: -8px;
}
.context-menu p{
  font-size: 14px;
}
.context-menu .close{
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 16px;
  right: 16px;
  border-radius: var(--default-border-radius);
  cursor: pointer;
}
.context-menu .close .icon{
  background: url("../../assets/icons/close.svg") no-repeat;
  filter: brightness(0) saturate(100%) invert(39%) sepia(18%) saturate(1693%) hue-rotate(312deg) brightness(105%) contrast(87%);
}
.context-menu .close .icon{
  height: 32px;
  width: 32px;
  background-position: center !important;
  pointer-events: none;
}
.context-menu .close:hover{
  background-color: #C65959;
}
.context-menu .close:hover .icon{
  filter: invert(1);
}

body.darkmode .context-menu {
  background-color: var(--box-bg);
  border: 1px solid var(--box-border);
}

.context-menu button {
  color: #1c1c1c;
  background-color: transparent;
  border: none;
  box-shadow: none;
}

body.darkmode .context-menu button {
  color: #fff;
  background-color: transparent;
}

.context-menu button img,
.context-menu button.btnArrow::after {
  filter: invert(0);
  opacity: 0.32;
}

body.darkmode .context-menu button img,
body.darkmode .context-menu button.btnArrow::after {
  filter: invert(1);
  opacity: 0.32;
}

.context-menu button:hover {
  background-color: rgba(0, 0, 0, 0.024);
  color: #000;
  filter: invert(22%) sepia(37%) saturate(2248%) hue-rotate(194deg) brightness(97%) contrast(86%);
  box-shadow: none;
}

body.darkmode .context-menu button:hover {
  background-color: rgba(255, 255, 255, 0.08);
  filter: invert(0);
}